Retrieve List of Subscriptions
This topic describes how to retrieve a list of the webhook subscriptions to which an organization subscribes. This request requires you to include the organization ID in the endpoint as a query parameter. You have the option to include a product ID and event type as additional query parameters. If you include any of the optional query parameters, you must concatenate them by separating each parameter with the ampersand character (&).
Endpoint
Send a GET request to this endpoint. The {organization.id} is the organization ID or merchant ID.
GET /notification-subscriptions/v2/webhooks?organizationId={organization.id}
GET /notification-subscriptions/v2/webhooks?organizationId={organization.id}
GET /notification-subscriptions/v2/webhooks?organizationId={organization.id}
Example
Request
GET /notification-subscriptions/v2/webhooks?organizationId=organization123&productId=tokenManagement&eventType=tms.networktoken.provisioned{}Required Query Parameters
| Field | Description |
|---|---|
organizationId | Set to your organization ID or merchant ID. |
Optional Query Parameters
| Field | Description |
|---|---|
eventType | Set to an event type that corresponds to the chosen product ID. For a list of event types, see Products and Events. |
productId | Set to a product ID. For a list of product IDs, see Products and Events. |
Response Codes
A successful request is indicated by the 200-level response code. For more information about all of the possible response codes you can receive, see Transaction Response Codes.
Thanks for your feedback!
Last published: October 28, 2026